> For the complete documentation index, see [llms.txt](https://docs.friggframework.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.friggframework.org/2.0/api-modules/module-list/helpscout.md).

# Help Scout

This API Module allows your app to connect to the Help Scout [Mailbox API](https://developer.helpscout.com/mailbox-api/).

### Supported Functionality

* Resource Owner
  * `getUserDetails()`: Gets the resource owner details (/me endpoint)
* Conversations
  * `listConversations()`: Gets the paginated list of conversations
* Customers
  * `listCustomers()`: Gets the paginated list of customers
  * `createCustomer(body)`: Creates a customer
  * `deleteCustomer(id)`: Deletes a customer by ID
* Mailboxes
  * `listMailboxes()`: Gets the paginated list of mailboxes

Please note the Api Module doesn't do any data manipulations. Please refer to the [official documentation](https://developer.helpscout.com/mailbox-api/endpoints/conversations/list/) to look at the exact data shapes.

Looking for more? We love contributions!

* [Here](https://developer.helpscout.com/mailbox-api/endpoints/conversations/list/) you can find the official list of endpoints.
* [Here](https://github.com/friggframework/frigg/blob/v1-alpha/docs/api-module-library/module-list/helpscout/api-module-library/helpscout/README.md) you can find instructions for setting up the integration locally in order to make contributions to the project.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.friggframework.org/2.0/api-modules/module-list/helpscout.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
